org.eclipse.emf.cdo.ui

## Class CDOEditorOpener.Registry

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.net4j.util.lifecycle.ShareableLifecycle
      - - org.eclipse.net4j.util.container.Container<CDOEditorOpener>
        - - org.eclipse.emf.cdo.ui.CDOEditorOpener.Registry

- All Implemented Interfaces:
    IContainer<CDOEditorOpener>, INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation
  Enclosing interface:
    CDOEditorOpener

      public static class CDOEditorOpener.Registry
      extends Container<CDOEditorOpener>

  Since:
    4.4
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOEditorOpener.Registry.EditorOpenerDescriptor`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOEditorOpener.Registry` | `INSTANCE`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Registry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEditorOpener(CDOEditorOpener editorOpener)`
    `protected void` | `doActivate()`
    `CDOEditorOpener` | `getEditorOpener(java.lang.String id)`
    `CDOEditorOpener[]` | `getEditorOpeners(URI uri)`
    `CDOEditorOpener[]` | `getElements()`
    `boolean` | `isEmpty()`
    `IEditorPart` | `openEditor(IWorkbenchPage page, URI uri)`
    `void` | `readExtensions()`
    `void` | `removeEditorOpener(CDOEditorOpener editorOpener)`

    - ### Methods inherited from class org.eclipse.net4j.util.container.Container

      `fireContainerEvent, fireContainerEvent, fireContainerEvent, fireElementAddedEvent, fireElementRemovedEvent, fireElementsAddedEvent, fireElementsRemovedEvent, fireEvent, newContainerEvent, newContainerEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Field Detail

    - #### INSTANCE

          public static final CDOEditorOpener.Registry INSTANCE

  - ### Constructor Detail

    - #### Registry

          public Registry()

  - ### Method Detail

    - #### openEditor

          public IEditorPart openEditor(IWorkbenchPage page,
                                        URI uri)

    - #### getEditorOpener

          public CDOEditorOpener getEditorOpener(java.lang.String id)

    - #### getEditorOpeners

          public CDOEditorOpener[] getEditorOpeners(URI uri)

    - #### addEditorOpener

          public void addEditorOpener(CDOEditorOpener editorOpener)

    - #### removeEditorOpener

          public void removeEditorOpener(CDOEditorOpener editorOpener)

    - #### getElements

          public CDOEditorOpener[] getElements()

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `IContainer<CDOEditorOpener>`
      Overrides:
        `isEmpty` in class `Container<CDOEditorOpener>`

    - #### doActivate

          protected void doActivate()
                             throws java.lang.Exception

      Overrides:
        `doActivate` in class `Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### readExtensions

          public void readExtensions()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html